<script>
	import { browser } from "$app/env"
	import * as storage from "$lib/infrastructure/storage"

	async function handleLogout() {
		storage.removeTokens()
		// Do not use SvelteKit goto function to force a full page reload.
		window.location.replace("/") // TODO handle base URL
	}

	if (browser) {
		handleLogout()
	}
</script>

<slot />
